> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axiom.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Download program

> Download various program artifacts including compiled binaries, source code, and configuration files.

    Available program types:
    - `exe`: Compiled program executable
    - `elf`: ELF binary format
    - `source`: Original source code archive
    - `app_exe_commit`: Application executable commit
    - `openvm_config`: OpenVM configuration file



## OpenAPI

````yaml GET /v1/programs/{program_id}/download/{program_type}
openapi: 3.1.0
info:
  title: Axiom Proving API
  description: |-
    ## Axiom Cloud Proving API

        The Axiom Proving API allows you to compile, execute, and prove OpenVM programs on Axiom's cloud infrastructure.

        All endpoints require an API key passed in the `Axiom-API-Key` header.
        
  version: 1.0.0
servers:
  - url: https://api.axiom.xyz
    description: Production API
  - url: https://api.staging.app.axiom.xyz
    description: Staging API
security: []
paths:
  /v1/programs/{program_id}/download/{program_type}:
    get:
      tags:
        - programs
      summary: Download Program Artifact
      description: >-
        Download various program artifacts including compiled binaries, source
        code, and configuration files.

            Available program types:
            - `exe`: Compiled program executable
            - `elf`: ELF binary format
            - `source`: Original source code archive
            - `app_exe_commit`: Application executable commit
            - `openvm_config`: OpenVM configuration file
      operationId: download_program_v1_programs__program_id__download__program_type__get
      parameters:
        - name: program_id
          in: path
          required: true
          schema:
            type: string
            title: Program Id
        - name: program_type
          in: path
          required: true
          schema:
            type: string
            description: >-
              The type of program to download. Must be one of: exe, elf, source,
              app_exe_commit, openvm_config
            title: Program Type
          description: >-
            The type of program to download. Must be one of: exe, elf, source,
            app_exe_commit, openvm_config
      responses:
        '200':
          description: File download initiated
          content:
            application/json:
              schema: {}
        '404':
          description: Program or artifact not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Axiom-API-Key

````